%define anolis_release 1
%{?python_enable_dependency_generator}

Name:           pywbem
Version:        1.6.0
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Python WBEM client interface and related utilities
License:        LGPLv2
URL:            https://github.com/pywbem/pywbem
Source0:        https://github.com/pywbem/pywbem/archive/refs/tags/%{name}-%{version}.tar.gz
BuildRequires:  python3-pip python3-PyYAML python3-ply python3-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools python3-wheel
BuildArch:      noarch

%description
A Python library for making CIM (Common Information Model) operations over HTTP\
using the WBEM CIM-XML protocol. It is based on the idea that a good WBEM\
client should be easy to use and not necessarily require a large amount of\
programming knowledge. It is suitable for a large range of tasks from simply\
poking around to writing web and GUI applications.\
\
WBEM, or Web Based Enterprise Management is a manageability protocol, like\
SNMP, standardized by the Distributed Management Task Force (DMTF) available\
at http://www.dmtf.org/standards/wbem.\
\
It also provides a Python provider interface, and is the fastest and\
easiest way to write providers on the planet.

%package -n python3-pywbem
Summary:        Python3 WBEM Client and Provider Interface
BuildArch:      noarch

%description -n python3-pywbem
A WBEM client allows issuing operations to a WBEM server, using the CIM
operations over HTTP (CIM-XML) protocol defined in the DMTF standards DSP0200
and DSP0201. The CIM/WBEM infrastructure is used for a wide variety of systems
management tasks supported by systems running WBEM servers. See WBEM Standards
for more information about WBEM.

%package -n python3-pywbem-doc
Summary:        Doc files for %{name}
Requires:       python3-pywbem = %{EVR}
BuildArch:      noarch

%description -n python3-pywbem-doc
Doc files for python3-pywbem

%prep
%autosetup -p1

%build
CFLAGS="%{optflags}" %{__python3} setup.py build


%install
rm -rf %{buildroot}
env PYTHONPATH=%{buildroot}/%{python3_sitelib} \
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}/usr/bin/*.bat

%files -n python3-pywbem
%license LICENSE.txt
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/pywbem/
%{python3_sitelib}/pywbem_mock/
%{_bindir}/mof_compiler

%files -n python3-pywbem-doc
%doc README.rst

%changelog
* Sat Mar 25 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.6.0-1
- init from upstream
